import tensorflow as tf

class MyModel(tf.keras.Model):

	def __init__(self, HIDDEN):
		super(MyModel, self).__init__()
		self.lstm1 = tf.keras.layers.LSTM(HIDDEN, return_sequences=True)
		#self.lstm2 = tf.keras.layers.LSTM(HIDDEN, return_sequences=True)
		#self.lstm3 = tf.keras.layers.LSTM(HIDDEN, return_sequences=True)
		#self.lstm4 = tf.keras.layers.LSTM(HIDDEN, return_sequences=True)
		self.lstmlast = tf.keras.layers.LSTM(HIDDEN, return_sequences=True)
		self.dense1 = tf.keras.layers.Dense(HIDDEN, activation='relu')
		self.dense2 = tf.keras.layers.Dense(HIDDEN//2, activation='relu')
		self.denselast = tf.keras.layers.Dense(1, activation='sigmoid')


	def call(self, inputs):
		x = self.lstm1(inputs)
		#x = self.lstm2(x)
		#x = self.lstm3(x)
		#x = self.lstm4(x)
		x = self.lstmlast(x)
		x = self.dense1(x)
		x = self.dense2(x)
		x = self.denselast(x)
		return x
